%define upstream_name SGML-Parser-OpenSP
%define upstream_version 0.994

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 10
Summary:        Perl interface to the OpenSP SGML and XML parser

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/authors/id/B/BJ/BJOERN/%{upstream_name}-%{upstream_version}.tar.gz

Group:          Development/Perl

BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl-devel
BuildRequires:  OpenSP-devel
Requires:       perl(Class::Accessor)

%{?perl_default_filter}

%description
SGML::Parser::OpenSP provides a native Perl interface, written in C++
and XS, to the OpenSP SGML and XML parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# POD Coverage is interesting for upstream, not us.
%__perl -pi -e 's|t/99podcov.t||' MANIFEST ; rm t/99podcov.t
find . -type f -print0 | xargs -0 chmod -c -x
%__perl -pi -e 's|\r||g' Changes README

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%_fixperms %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/SGML/
%{perl_vendorarch}/SGML/
%{_mandir}/man3/SGML::Parser::OpenSP*.3*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.994.0-10.mga6
+ Revision: 1033039
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.994.0-9.mga6
+ Revision: 957980
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.994-8.mga6
+ Revision: 845268
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.994-7.mga6
+ Revision: 841703
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.994-6.mga5
+ Revision: 751183
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.994-5.mga5
+ Revision: 733374
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.994-4.mga5
+ Revision: 686123
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.994-3.mga5
+ Revision: 631630
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.994-2.mga4
+ Revision: 528065
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 shlomif <shlomif> 0.994-1.mga4
+ Revision: 443416
- Add BR on perl-devel
- imported package perl-SGML-Parser-OpenSP


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 0.994-12
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.994-10
- Clean up specfile constructs no longer needed with Fedora or EL6+.

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.994-9
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.994-7
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.994-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.994-5
- rebuild against perl 5.10.1

* Thu Sep  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.994-4
- Filter out autoprovided OpenSP.so (if %%{perl_default_filter} is available).

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul  3 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.994-1
- 0.994.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.991-3
- Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.991-2
- Autorebuild for GCC 4.3

* Thu Dec  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.991-1
- 0.991.

* Mon Aug  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.99-5
- License: GPL+ or Artistic

* Thu May 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.99-4
- BuildRequire perl(Test::More) (#237883).

* Sat Apr 21 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.99-3
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::Pod).

* Sat Sep 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.99-2
- Rebuild.

* Thu Aug 31 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.99-1
- 0.99.

* Wed Mar 29 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.99-0.1.cvs20060329
- First build.
